Create a new team
curl --request POST \
--url https://api.16tms.com/api/v1/teams \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"name": "Team Alpha",
"logo": "https://example.com/logo.png",
"coverImage": "https://example.com/cover.jpg",
"description": "Professional esports team",
"gameId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
'import requests
url = "https://api.16tms.com/api/v1/teams"
payload = {
"name": "Team Alpha",
"logo": "https://example.com/logo.png",
"coverImage": "https://example.com/cover.jpg",
"description": "Professional esports team",
"gameId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Team Alpha',
logo: 'https://example.com/logo.png',
coverImage: 'https://example.com/cover.jpg',
description: 'Professional esports team',
gameId: '3fa85f64-5717-4562-b3fc-2c963f66afa6'
})
};
fetch('https://api.16tms.com/api/v1/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Team created successfully",
"data": {
"teamId": "72241a59-3638-4c7c-8105-81774de2c900",
"externalId": "team_123",
"name": "Team Alpha",
"logo": "https://example.com/logo.png",
"coverImage": "https://example.com/cover.jpg",
"description": "Professional esports team",
"gameId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"meta": {
"traceId": "00-0b9a33deb55060719389707d91fe66e4-39ac3a60dea035aa-00",
"elapsedMs": 12.5,
"serverTimestamp": "2026-02-09T11:39:15.9323654Z"
}
}{
"success": false,
"message": "Invalid API key",
"errors": [
{
"field": "name",
"message": "This field is required"
}
],
"meta": {
"traceId": "<string>",
"serverTimestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"message": "Invalid API key",
"errors": [
{
"field": "name",
"message": "This field is required"
}
],
"meta": {
"traceId": "<string>",
"serverTimestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "BUSINESS_RULE_VIOLATION",
"message": "Link your game account to create team"
},
"meta": {
"traceId": "00-861ab230a64e2191f50b84e76e901a09-c031a9c74a1a91ad-00"
}
}{
"success": false,
"message": "Invalid API key",
"errors": [
{
"field": "name",
"message": "This field is required"
}
],
"meta": {
"traceId": "<string>",
"serverTimestamp": "2023-11-07T05:31:56Z"
}
}API Reference
Create a new team
Creates a new team in the 16TMS platform with the provided details. Note: The user (externalId) must have a userGameId mapped for the specific gameId before creating a team. Refer to the Create User Game ID Mapping endpoint for details.
POST
/
teams
Create a new team
Authorizations
API key for authentication. You can generate this from the 16TMS console.
Query Parameters
External identifier for the team from your system
Body
application/json
Name of the team
Example:
"Team Alpha"
ID of the game this team is associated with
Example:
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
URL to the team's logo image
Example:
"https://example.com/logo.png"
URL to the team's cover image
Example:
"https://example.com/cover.jpg"
Description of the team
Example:
"Professional esports team"
⌘I